package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 随访统计表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpSjdcFollowUpStatisticsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpSjdcFollowUpStatistics(PageData pd)throws Exception {
        return daoSupport.update("SDtpSjdcFollowUpStatisticsMapper.addSDtpSjdcFollowUpStatistics", pd);
    }

    public List<PageData> findSDtpSjdcFollowUpStatisticsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpSjdcFollowUpStatisticsMapper.selectSDtpSjdcFollowUpStatisticsList", pd);
    }

    public Integer SDtpSjdcFollowUpStatisticsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpSjdcFollowUpStatisticsMapper.SDtpSjdcFollowUpStatisticsRemove", pd);
    }


    public Integer updateSDtpSjdcFollowUpStatistics(PageData pd)throws Exception {
        return daoSupport.update("SDtpSjdcFollowUpStatisticsMapper.updateSDtpSjdcFollowUpStatistics", pd);
    }

}
